net.sf.jasperreports.engine

## Class JRDefaultScriptlet

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractScriptlet
  - - net.sf.jasperreports.engine.JRDefaultScriptlet

- Direct Known Subclasses:
    MaxPagesGovernor, TableReportScriptlet, TimeoutGovernor

      public class JRDefaultScriptlet
      extends JRAbstractScriptlet

  This class provides default empty implementations for scriptlet events. It is a convenience class that users can extend when not all methods need to be implemented.
  Version:
    $Id: JRDefaultScriptlet.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.JRAbstractScriptlet

      `fieldsMap, groups, parametersMap, variablesMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDefaultScriptlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterColumnInit()` Called after each column is initialized.
    `void` | `afterDetailEval()` Called after evaluating each detail.
    `void` | `afterGroupInit(java.lang.String groupName)` Called after a group is initialized.
    `void` | `afterPageInit()` Called after each page is initialized.
    `void` | `afterReportInit()` Called after the report is initialized.
    `void` | `beforeColumnInit()` Called before each column is initialized.
    `void` | `beforeDetailEval()` Called before evaluating each detail.
    `void` | `beforeGroupInit(java.lang.String groupName)` Called before a group is initialized.
    `void` | `beforePageInit()` Called before each page is initialized.
    `void` | `beforeReportInit()` Called before the report is initialized.

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractScriptlet

      `callAfterColumnInit, callAfterDetailEval, callAfterGroupInit, callAfterPageInit, callAfterReportInit, callBeforeColumnInit, callBeforeDetailEval, callBeforeGroupInit, callBeforePageInit, callBeforeReportInit, getFieldValue, getParameterValue, getParameterValue, getVariableValue, setData, setVariableValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRDefaultScriptlet

          public JRDefaultScriptlet()

  - ### Method Detail

    - #### beforeReportInit

          public void beforeReportInit()
                                throws JRScriptletException

      Description copied from class: `JRAbstractScriptlet`
      Called before the report is initialized.
      Specified by:
        `beforeReportInit` in class `JRAbstractScriptlet`
      Throws:
        `JRScriptletException`

    - #### afterReportInit

          public void afterReportInit()
                               throws JRScriptletException

      Description copied from class: `JRAbstractScriptlet`
      Called after the report is initialized.
      Specified by:
        `afterReportInit` in class `JRAbstractScriptlet`
      Throws:
        `JRScriptletException`

    - #### beforePageInit

          public void beforePageInit()
                              throws JRScriptletException

      Description copied from class: `JRAbstractScriptlet`
      Called before each page is initialized.
      Specified by:
        `beforePageInit` in class `JRAbstractScriptlet`
      Throws:
        `JRScriptletException`

    - #### afterPageInit

          public void afterPageInit()
                             throws JRScriptletException

      Description copied from class: `JRAbstractScriptlet`
      Called after each page is initialized.
      Specified by:
        `afterPageInit` in class `JRAbstractScriptlet`
      Throws:
        `JRScriptletException`

    - #### beforeColumnInit

          public void beforeColumnInit()
                                throws JRScriptletException

      Description copied from class: `JRAbstractScriptlet`
      Called before each column is initialized.
      Specified by:
        `beforeColumnInit` in class `JRAbstractScriptlet`
      Throws:
        `JRScriptletException`

    - #### afterColumnInit

          public void afterColumnInit()
                               throws JRScriptletException

      Description copied from class: `JRAbstractScriptlet`
      Called after each column is initialized.
      Specified by:
        `afterColumnInit` in class `JRAbstractScriptlet`
      Throws:
        `JRScriptletException`

    - #### beforeGroupInit

          public void beforeGroupInit(java.lang.String groupName)
                               throws JRScriptletException

      Description copied from class: `JRAbstractScriptlet`
      Called before a group is initialized.
      Specified by:
        `beforeGroupInit` in class `JRAbstractScriptlet`
      Parameters:
        `groupName` - the group name
      Throws:
        `JRScriptletException`

    - #### afterGroupInit

          public void afterGroupInit(java.lang.String groupName)
                              throws JRScriptletException

      Description copied from class: `JRAbstractScriptlet`
      Called after a group is initialized.
      Specified by:
        `afterGroupInit` in class `JRAbstractScriptlet`
      Parameters:
        `groupName` - the group name
      Throws:
        `JRScriptletException`

    - #### beforeDetailEval

          public void beforeDetailEval()
                                throws JRScriptletException

      Description copied from class: `JRAbstractScriptlet`
      Called before evaluating each detail.
      Specified by:
        `beforeDetailEval` in class `JRAbstractScriptlet`
      Throws:
        `JRScriptletException`

    - #### afterDetailEval

          public void afterDetailEval()
                               throws JRScriptletException

      Description copied from class: `JRAbstractScriptlet`
      Called after evaluating each detail.
      Specified by:
        `afterDetailEval` in class `JRAbstractScriptlet`
      Throws:
        `JRScriptletException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com